# Uses of Enum Class
org.apache.lucene.backward_codecs.lucene90.blocktree.CompressionAlgorithm

Packages that use CompressionAlgorithm
Package
Description
org.apache.lucene.backward_codecs.lucene90.blocktree
BlockTree terms dictionary.

- ## Uses of CompressionAlgorithm in org.apache.lucene.backward_codecs.lucene90.blocktree

  Methods in org.apache.lucene.backward_codecs.lucene90.blocktree that return CompressionAlgorithm
  Modifier and Type
  Method
  Description
  `static CompressionAlgorithm`
  CompressionAlgorithm.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CompressionAlgorithm[]`
  CompressionAlgorithm.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.